function func(func)
	DoCall("func",func);
end

function s(text)
	DoCall("s",text);
end

function sinstant(text)
	DoCall("sinstant",text);
end

function endtext()
	DoCall("endtext");
end

function setvar(var,amount)
	DoCall("setvar",var,amount);
end

function addvar(var,amount)
	DoCall("addvar",var,amount);
end

function subvar(var,amount)
	DoCall("subvar",var,amount);
end

function getvar(var,luavar)
	DoCall("getvar",var,luavar);
end

function setstr(str)
	DoCall("setstr",str);
end

function getstr(str,luastr)
	DoCall("getstr",str,luastr);
end

function additem(item)
	DoCall("additem",item);
end

function takeitem(item)
	DoCall("takeitem",item);
end

function checkitem(item,var)
	DoCall("checkitem",item,var);
end

function hidetext()
	DoCall("hidetext");
end

function hidetextinstant()
	DoCall("hidetextinstant");
end

function showtext()
	DoCall("showtext");
end

function showtextinstant()
	DoCall("showtextinstant");
end

function w(ticks)
	DoCall("w",ticks);
end

function yn(outputvar,yes,no)
	DoCall("yn",outputvar,yes,no);
end

function chav(name)
	DoCall("chav",name);
end

function chnm(name)
	DoCall("chnm",name);
end

function teleport(npc,x,y)
	DoCall("teleport",npc,x,y);
end

function tcol(r,g,b)
	DoCall("tcol",r,g,b);
end

function tres()
	DoCall("tres");
end

function spic(filename)
	DoCall("spic",filename);
end

function hpic()
	DoCall("hpic");
end

function fadein(speed)
	DoCall("fadein",speed);
end

function fadeout(speed)
	DoCall("fadeout",speed);
end

function mus(name,volume)
	DoCall("mus",name,volume);
end

function snd(filename,volume)
	DoCall("snd",filename,volume);
end

function sndloop(filename,volume,loop)
	DoCall("snd",filename,volume,loop);
end

function frame(frame)
	DoCall("frame",frame);
end

function getframe(var)
	DoCall("getframe",var);
end

function save(slot)
	DoCall("save",slot);
end

function load(slot)
	DoCall("load",slot);
end

function npcmove(npc,x,y,jump)
	DoCall("npcmove",npc,x,y,jump);
end

function configpmo(mx,my,xa,xd,g,j)
	DoCall("configpmo",mx,my,xa,xd,g,j);
end

function npcdetector(w,h)
	DoCall("npcdetector",w,h);
end

function npckill(npc)
	DoCall("npckill",npc);
end

function npcanim(npc,anim)
	DoCall("npcanim",npc,anim);
end

function npcdir(dir)
	DoCall("npc",dir);
end

function cam(x,y)
	DoCall("cam",x,y);
end

function camres()
	DoCall("camres");
end

function getnpcpos(npc,xvar,yvar)
	DoCall("getnpcpos",npc,xvar,yvar);
end

function setnpcpos(npc,x,y)
	DoCall("setnpcpos",npc,x,y);
end

function screenshake(power,length)
	DoCall("screenshake",power,length);
end

function bang(x,y,colour)
	DoCall("bang",x,y,colour);
end

function bang(x,y)
	DoCall("bang",x,y);
end

function killblock(x,y)
	DoCall("killblock",x,y);
end

function makeblock(x,y)
	DoCall("makeblock",x,y);
end

function showarrow(x,y,ang)
	DoCall("showarrow",x,y,ang);
end

function hidearrow()
	DoCall("hidearrow");
end

function setdoorvars(x,y)
	DoCall("setdoorvars",x,y);
end

STOPPED_ANIM = 0;
WALKING_ANIM = 1;
RUNNING_ANIM = 2;
APPEARING_ANIM = 3;
DISAPPEARING_ANIM = 4;
BOUNCING_ANIM = 5;
SHOOTING_ANIM = 6;
JUMPING_ANIM = 7;
FALLING_ANIM = 8;
CLIMBING_ANIM = 9;
CROUCH_ANIM = 10;
STAND_ANIM = 11;
ICE_BLASTER_START_XP = 325;
GLACIER_LAUNCHER_START_XP = 200;
SNOW_BOUNCER_START_XP = 300;
LASER_CANNON_START_XP = 200;
HP_UP_AMOUNT = 4;
CREDITS = 81;
SECRET = 92;
SCENES = 93;